#define _TSMPIPE_VERSION "1.5.1"

typedef int (*tsm_query_callback)(dsmQueryType, DataBlk *, void *);

struct matchone_cb_data { int numfound; dsStruct64_t objId; dsUint32_t copyGroup; };

extern void tsm_printerr   (dsUint32_t dsmHandle, dsInt16_t rc, char *str);
extern void tsm_sessioninfo(dsUint32_t dsmHandle);

extern dsmDate dsmStrToDate(char *s,int verbose);
extern dsmObjName dsmNameToObjname(char *fsname, char *filename, int verbose);
extern dsInt16_t tsm_queryfile(dsUint32_t sesshandle, dsmQueryType qType, tsm_query_callback usercb, void *userdata, qryArchiveData qaData, qryBackupData qbData, int verbose);
extern dsUint32_t tsm_initsess(char *options);
extern dsBool_t compressEnabled;

extern int tsm_deletefile (dsUint32_t dsmHandle, dsmQueryType qType, qryArchiveData qaData, qryBackupData qbData, int verbose);
extern int tsm_listfile   (dsUint32_t dsmHandle, dsmQueryType qType, qryArchiveData qaData, qryBackupData qbData, int verbose);
extern int tsm_restorefile(dsUint32_t dsmHandle, dsmQueryType qType, qryArchiveData qaData, qryBackupData qbData, int verbose);
extern int tsm_sendfile   (dsUint32_t dsmHandle, char *fsname, char *filename, long long length, char *description, dsmSendType sendtype, int verbose);

extern char *dsmDateToStr(dsmDate date);
extern char *dsmObjnameToStr(dsmObjName objName);

extern double dsmSizeToNum(dsStruct64_t dsStruct64);
